## rpm 0.7

=== DESCRIPTION ===
Package: rpm
Type: Package
Title: Modeling of Revealed Preferences Matchings
Version: 0.7
Date: 2023-04-18
Authors@R: c(
        person("Mark S.", "Handcock", role=c("aut","cre"), email="handcock@stat.ucla.edu", comment=c(ORCID="0000-0002-9985-2785")),
        person("Ryan M. ", "Admiraal", role=c("ctb"), email="ryan.admiraal@vuw.ac.nz"),
        person("Fiona C.", "Yeung", role=c("ctb"), email="fiona.c.yeung@gmail.com"),
        person("Heide M.", "Jackson", role=c("ctb"), email="heidej@umd.edu"),
        person("Michael S.", "Rendall", role=c("ctb"), email="mrendall@umd.edu"),
        person("Shuchi", "Goyal", role=c("ctb"), email="sgoyal25@ucla.edu"))
Description: Statistical estimation of revealed preference models from data collected on bipartite matchings. The models are for matchings within a bipartite population where individuals have utility for people based on known and unknown characteristics. People can form a partnership or remain unpartnered. The model represents both the availability of potential partners of different types and preferences of individuals for such people. The software estimates preference parameters based on sample survey data on partnerships and population composition. The simulation of matchings and goodness-of-fit are considered.  See Goyal, Handcock, Jackson, Rendall and Yeung (2022) <doi:10.1093/jrsssa/qnad031>.
License: GPL-3 + file LICENSE
License_is_FOSS: yes
License_restricts_use: no
URL: https://handcock.github.io
LinkingTo: Rcpp, RcppArmadillo
Depends: R (>= 4.0.0), abind, future, doRNG, methods
Suggests: testthat
Imports: Rcpp, nloptr, matrixStats, MASS, dplyr, ggplot2, coda,
        doFuture, foreach
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-04-20 16:41:00 UTC; handcock
Author: Mark S. Handcock [aut, cre] (<https://orcid.org/0000-0002-9985-2785>),
  Ryan M.  Admiraal [ctb],
  Fiona C. Yeung [ctb],
  Heide M. Jackson [ctb],
  Michael S. Rendall [ctb],
  Shuchi Goyal [ctb]
Maintainer: Mark S. Handcock <handcock@stat.ucla.edu>
Repository: CRAN
Date/Publication: 2023-04-21 08:00:02 UTC

## rpm 0.7-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rpm
 Type: Package
 Title: Modeling of Revealed Preferences Matchings
-Version: 0.7
-Date: 2023-04-18
+Version: 0.7-1
+Date: 2023-04-21
 Authors@R: c(
         person("Mark S.", "Handcock", role=c("aut","cre"), email="handcock@stat.ucla.edu", comment=c(ORCID="0000-0002-9985-2785")),
         person("Ryan M. ", "Admiraal", role=c("ctb"), email="ryan.admiraal@vuw.ac.nz"),
@@ -14,7 +14,7 @@
 License: GPL-3 + file LICENSE
 License_is_FOSS: yes
 License_restricts_use: no
-URL: https://handcock.github.io
+URL: https://github.com/handcock/rpm
 LinkingTo: Rcpp, RcppArmadillo
 Depends: R (>= 4.0.0), abind, future, doRNG, methods
 Suggests: testthat
@@ -23,7 +23,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-04-20 16:41:00 UTC; handcock
+Packaged: 2023-04-21 15:27:07 UTC; handcock
 Author: Mark S. Handcock [aut, cre] (<https://orcid.org/0000-0002-9985-2785>),
   Ryan M.  Admiraal [ctb],
   Fiona C. Yeung [ctb],
@@ -32,4 +32,4 @@
   Shuchi Goyal [ctb]
 Maintainer: Mark S. Handcock <handcock@stat.ucla.edu>
 Repository: CRAN
-Date/Publication: 2023-04-21 08:00:02 UTC
+Date/Publication: 2023-04-21 23:30:02 UTC

## rpm 0.7-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rpm
 Type: Package
 Title: Modeling of Revealed Preferences Matchings
-Version: 0.7-1
-Date: 2023-04-21
+Version: 0.7-3
+Date: 2024-04-17
 Authors@R: c(
         person("Mark S.", "Handcock", role=c("aut","cre"), email="handcock@stat.ucla.edu", comment=c(ORCID="0000-0002-9985-2785")),
         person("Ryan M. ", "Admiraal", role=c("ctb"), email="ryan.admiraal@vuw.ac.nz"),
@@ -15,15 +15,16 @@
 License_is_FOSS: yes
 License_restricts_use: no
 URL: https://github.com/handcock/rpm
+BugReports: https://github.com/handcock/rpm/issues
 LinkingTo: Rcpp, RcppArmadillo
 Depends: R (>= 4.0.0), abind, future, doRNG, methods
 Suggests: testthat
 Imports: Rcpp, nloptr, matrixStats, MASS, dplyr, ggplot2, coda,
         doFuture, foreach
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 NeedsCompilation: yes
-Packaged: 2023-04-21 15:27:07 UTC; handcock
+Packaged: 2024-04-18 02:41:16 UTC; handcock
 Author: Mark S. Handcock [aut, cre] (<https://orcid.org/0000-0002-9985-2785>),
   Ryan M.  Admiraal [ctb],
   Fiona C. Yeung [ctb],
@@ -32,4 +33,4 @@
   Shuchi Goyal [ctb]
 Maintainer: Mark S. Handcock <handcock@stat.ucla.edu>
 Repository: CRAN
-Date/Publication: 2023-04-21 23:30:02 UTC
+Date/Publication: 2024-04-18 08:20:03 UTC

## rpm 0.7-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rpm
 Type: Package
 Title: Modeling of Revealed Preferences Matchings
-Version: 0.7-3
-Date: 2024-04-17
+Version: 0.7-4
+Date: 2025-10-22
 Authors@R: c(
         person("Mark S.", "Handcock", role=c("aut","cre"), email="handcock@stat.ucla.edu", comment=c(ORCID="0000-0002-9985-2785")),
         person("Ryan M. ", "Admiraal", role=c("ctb"), email="ryan.admiraal@vuw.ac.nz"),
@@ -22,15 +22,16 @@
 Imports: Rcpp, nloptr, matrixStats, MASS, dplyr, ggplot2, coda,
         doFuture, foreach
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2024-04-18 02:41:16 UTC; handcock
-Author: Mark S. Handcock [aut, cre] (<https://orcid.org/0000-0002-9985-2785>),
-  Ryan M.  Admiraal [ctb],
+Packaged: 2025-10-23 01:37:48 UTC; handcock
+Author: Mark S. Handcock [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-9985-2785>),
+  Ryan M. Admiraal [ctb],
   Fiona C. Yeung [ctb],
   Heide M. Jackson [ctb],
   Michael S. Rendall [ctb],
   Shuchi Goyal [ctb]
 Maintainer: Mark S. Handcock <handcock@stat.ucla.edu>
 Repository: CRAN
-Date/Publication: 2024-04-18 08:20:03 UTC
+Date/Publication: 2025-10-23 10:40:07 UTC

## rpm 2.4.12

=== popt/Makefile ===
LIBOBJECTS = 	popt.o

DEFCFLAGS=-O2 -Wall

SOURCES =$(subst .o,.c,$(LIBOBJECTS))
LIBPOPT = libpopt.a
LIBS=/usr/lib
INCLUDE=/usr/include

ifeq (../Makefile.inc,$(wildcard ../Makefile.inc))
include ../Makefile.inc
endif

# -----------------------------------------------------------------------

ifeq ($(CFLAGS),)
CFLAGS=$(DEFCFLAGS)
endif

ifeq ($(RANLIB),)
RANLIB=ranlib
endif

ifeq (.depend,$(wildcard .depend))
TARGET=allprogs
else
TARGET=depend allprogs
endif

$(LIBPOPT): $(LIBPOPT)($(LIBOBJECTS))
	$(RANLIB) $@

distclean: clean

clean:
	rm -f *.a *.o *~ $(PROGS) test.out tagtable.c

squeaky: clean
	rm -f .depend

depend:
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

install:
	mkdir -p $(PREFIX)/$(INCLUDE)
	mkdir -p $(PREFIX)/$(LIBS)
	install -m 644 popt.h $(PREFIX)/$(INCLUDE)/popt.h
	install -m 644 $(LIBPOPT) $(PREFIX)/$(LIBS)/$(LIBPOPT)

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## rpm 4.0.4

=== Perl-RPM/Makefile ===
# This Makefile is for the RPM extension to perl.
#
# It was generated automatically by MakeMaker version
# 5.45 (Revision: 1.222) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#	ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#	DEFINE => q[-DRPM_MAJOR=4 -DRPM_MINOR=0 -DRPM_PATCH=3 -DRPM_VERSION=0x040003]
#	DIR => []
#	DISTNAME => q[Perl-RPM]
#	EXE_FILES => [q[utils/rpmprune]]
#	INC => q[-I. -I/usr/include/rpm]
#	LIBS => q[-lrpm -lrpmdb -lrpmio -lpopt]
#	NAME => q[RPM]
#	OBJECT => q[RPM/Header$(OBJ_EXT) RPM/Constants$(OBJ_EXT) RPM/Database$(OBJ_EXT) RPM/Error$(OBJ_EXT) RPM$(OBJ_EXT)]
#	PM => { RPM/Header.pm=>q[$(INST_LIBDIR)/RPM/Header.pm], RPM/Constants.pm=>q[$(INST_LIBDIR)/RPM/Constants.pm], RPM/Database.pm=>q[$(INST_LIBDIR)/RPM/Database.pm], RPM.pm=>q[$(INST_LIBDIR)/RPM.pm], RPM/Error.pm=>q[$(INST_LIBDIR)/RPM/Error.pm] }
#	VERSION => q[0.32]
#	XS => { RPM/Header.xs=>q[RPM/Header.c], RPM/Constants.xs=>q[RPM/Constants.c], RPM/Database.xs=>q[RPM/Database.c], RPM/Error.xs=>q[RPM/Error.c], RPM.xs=>q[RPM.c] }
#	XSOPT => q[-noversioncheck]
#	clean => { FILES=>q[RPM/Header.c RPM/Constants.c RPM/Database.c RPM/Error.c RPM.c RPM/Header$(OBJ_EXT) RPM/Constants$(OBJ_EXT) RPM/Database$(OBJ_EXT) RPM/Error$(OBJ_EXT) RPM$(OBJ_EXT) Perl-RPM.spec pod2html-* */pod2html-* *.html */*.html RPM/typemap rpmrc rpmmacro Perl-RPM-*] }
#	dist => { COMPRESS=>q[gzip -9f] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl5/5.6.0/i386-linux/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = gcc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.2.3.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.2.17-8smp
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = RPM
DISTNAME = Perl-RPM
NAME_SYM = RPM
VERSION = 0.32
VERSION_SYM = 0_32
XS_VERSION = 0.32
INST_BIN = blib/bin
INST_EXE = blib/script
INST_LIB = blib/lib
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
PREFIX = /usr
INSTALLDIRS = site
INSTALLPRIVLIB = $(PREFIX)/lib/perl5/5.6.0
INSTALLARCHLIB = $(PREFIX)/lib/perl5/5.6.0/i386-linux
INSTALLSITELIB = $(PREFIX)/lib/perl5/site_perl/5.6.0
INSTALLSITEARCH = $(PREFIX)/lib/perl5/site_perl/5.6.0/i386-linux
INSTALLBIN = $(PREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/lib/perl5/5.6.0
PERL_ARCHLIB = /usr/lib/perl5/5.6.0/i386-linux
SITELIBEXP = /usr/lib/perl5/site_perl/5.6.0
SITEARCHEXP = /usr/lib/perl5/site_perl/5.6.0/i386-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl5/5.6.0/i386-linux/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
FULL_AR = /usr/bin/ar

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/lib/perl5/5.6.0/ExtUtils/MakeMaker.pm
MM_VERSION = 5.45

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# ROOTEXT = Directory part of FULLEXT with leading slash (eg /DBD)  !!! Deprecated from MM 5.32  !!!
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = RPM
BASEEXT = RPM
DLBASE = $(BASEEXT)
INC = -I. -I/usr/include/rpm
DEFINE = -DRPM_MAJOR=4 -DRPM_MINOR=0 -DRPM_PATCH=3 -DRPM_VERSION=0x040003
OBJECT = RPM/Header$(OBJ_EXT) RPM/Constants$(OBJ_EXT) RPM/Database$(OBJ_EXT) RPM/Error$(OBJ_EXT) RPM$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= RPM.xs \
	RPM/Constants.xs \
	RPM/Database.xs \
	RPM/Error.xs \
	RPM/Header.xs
C_FILES = RPM.c
O_FILES = RPM.o
H_FILES = RPM.h
HTMLLIBPODS    = 
HTMLSCRIPTPODS = 
MAN1PODS = utils/rpmprune
MAN3PODS = RPM.pm \
	RPM/Constants.pm \
	RPM/Database.pm \
	RPM/Error.pm \
	RPM/Header.pm
HTMLEXT = html
INST_MAN1DIR = blib/man1
INSTALLMAN1DIR = $(PREFIX)/share/man/man1
MAN1EXT = 1
INST_MAN3DIR = blib/man3
INSTALLMAN3DIR = $(PREFIX)/share/man/man3
MAN3EXT = 3pm
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT    = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

EXPORT_LIST = 

PERL_ARCHIVE = 

TO_INST_PM = RPM.pm \
	RPM/Constants.pm \
	RPM/Database.pm \
	RPM/Error.pm \
	RPM/Header.pm

PM_TO_BLIB = RPM/Header.pm \
	$(INST_LIBDIR)/RPM/Header.pm \
	RPM/Constants.pm \
	$(INST_LIBDIR)/RPM/Constants.pm \
	RPM/Database.pm \
	$(INST_LIBDIR)/RPM/Database.pm \
	RPM.pm \
	$(INST_LIBDIR)/RPM.pm \
	RPM/Error.pm \
	$(INST_LIBDIR)/RPM/Error.pm


# --- MakeMaker tool_autosplit section:

# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" -e 'use AutoSplit;autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'


# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/lib/perl5/5.6.0/ExtUtils
XSUBPP = $(XSUBPPDIR)/xsubpp
XSPROTOARG = 
XSUBPPDEPS = $(XSUBPPDIR)/typemap typemap $(XSUBPP)
XSUBPPARGS = -noversioncheck -typemap $(XSUBPPDIR)/typemap -typemap typemap


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = gcc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=1

MOD_INSTALL = $(PERL) -I$(INST_LIB) -I$(PERL_LIB) -MExtUtils::Install \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", shift, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERL) -MExtUtils::Install \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'

ECHO=@echo
RPM=/bin/rpm


# --- MakeMaker dist section:

DISTVNAME = $(DISTNAME)-$(VERSION)
TAR  = tar
TARFLAGS = cvf
ZIP  = zip
ZIPFLAGS = -r
COMPRESS = gzip -9f
SUFFIX = .gz
SHAR = shar
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -fno-strict-aliasing
OPTIMIZE = -O2 -march=i386 -mcpu=i686
PERLTYPE = 
LARGE = 
SPLIT = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# RPM might depend on some other libraries:
# See ExtUtils::Liblist for details
#
EXTRALIBS = -lrpm -lrpmdb -lrpmio -lpopt
LDLOADLIBS = -lrpm -lrpmdb -lrpmio -lpopt
BSLOADLIBS = 
LD_RUN_PATH = /usr/lib


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(INC) $(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(LARGE) $(SPLIT) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:
SPECFILE=Perl-RPM.spec

# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"


# --- MakeMaker c_o section:

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.c -o $*$(OBJ_EXT)

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.C -o $*$(OBJ_EXT)

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cpp -o $*$(OBJ_EXT)

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cxx -o $*$(OBJ_EXT)

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.cc -o $*$(OBJ_EXT)


# --- MakeMaker xs_c section:

.xs.c:
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) $(XSUBPP) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) -I$(PERL_INC) $(DEFINE) $*.c


# --- MakeMaker top_targets section:

#all ::	config $(INST_PM) subdirs linkext manifypods

all :: pure_all htmlifypods manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN1DIR)/.exists
	@$(NOOP)


$(INST_MAN1DIR)/.exists :: /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h
	@$(MKPATH) $(INST_MAN1DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h $(INST_MAN1DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN1DIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.6.0/i386-linux/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

$(O_FILES): $(H_FILES)

help:
	perldoc ExtUtils::MakeMaker

Version_check:
	@$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) \

## rpm 4.4.1

=== sqlite/Makefile ===
#!/usr/make
#
# Makefile for SQLITE
#
# This makefile is suppose to be configured automatically using the
# autoconf.  But if that does not work for you, you can configure
# the makefile manually.  Just set the parameters below to values that
# work well for your system.
#
# If the configure script does not work out-of-the-box, you might
# be able to get it to work by giving it some hints.  See the comment
# at the beginning of configure.in for additional information.
#

# The toplevel directory of the source tree.  This is the directory
# that contains this "Makefile.in" and the "configure.in" script.
#
TOP = .

# C Compiler and options for use in building executables that
# will run on the platform that is doing the build.
#
BCC = gcc -g -O2 -fPIC -DPIC -D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts

# C Compile and options for use in building executables that 
# will run on the target platform.  (BCC and TCC are usually the
# same unless your are cross-compiling.)
#
TCC = gcc -g -O2 -fPIC -DPIC -D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -DOS_UNIX=1 -DHAVE_USLEEP=1 -I. -I${TOP}/src -DNDEBUG

# Some standard variables and programs
#
prefix = /usr
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
INSTALL = /usr/bin/install -c
LIBTOOL = ./libtool
RELEASE = 

# libtool compile/link/install
LTCOMPILE = $(LIBTOOL) --mode=compile $(TCC)
LTLINK = $(LIBTOOL) --mode=link $(TCC)
LTINSTALL = $(LIBTOOL) --mode=install $(INSTALL)

# Compiler options needed for programs that use the TCL library.
#
TCL_FLAGS = 

# The library that programs using TCL must link against.
#
LIBTCL = -ltcl8.4  -ldl -lm

# Compiler options needed for programs that use the readline() library.
#
READLINE_FLAGS = -DHAVE_READLINE=1 -I/usr/include/readline

# The library that programs using readline() must link against.
#
LIBREADLINE = -lreadline -lncurses 

# Should the database engine be compiled threadsafe
#
THREADSAFE = -DTHREADSAFE=0

# The pthreads library if needed
#
LIBPTHREAD=

# Flags controlling use of the in memory btree implementation
#
# TEMP_STORE is 0 to force temporary tables to be in a file, 1 to
# default to file, 2 to default to memory, and 3 to force temporary
# tables to always be in memory.
#
TEMP_STORE = -DTEMP_STORE=2

# You should not have to change anything below this line
###############################################################################

# Object files for the SQLite library.
#
LIBOBJ = attach.lo auth.lo btree.lo build.lo date.lo delete.lo \
         expr.lo func.lo hash.lo insert.lo \
         main.lo opcodes.lo os_mac.lo os_unix.lo os_win.lo \
         pager.lo parse.lo pragma.lo printf.lo random.lo \
         select.lo table.lo tokenize.lo trigger.lo update.lo util.lo vacuum.lo \
         vdbe.lo vdbeapi.lo vdbeaux.lo vdbemem.lo \
         where.lo utf.lo legacy.lo

# All of the source code files.
#
SRC = \
  $(TOP)/src/attach.c \
  $(TOP)/src/auth.c \
  $(TOP)/src/btree.c \
  $(TOP)/src/btree.h \
  $(TOP)/src/build.c \
  $(TOP)/src/date.c \
  $(TOP)/src/delete.c \
  $(TOP)/src/expr.c \
  $(TOP)/src/func.c \
  $(TOP)/src/hash.c \
  $(TOP)/src/hash.h \
  $(TOP)/src/insert.c \
  $(TOP)/src/legacy.c \
  $(TOP)/src/main.c \
  $(TOP)/src/os_mac.c \
  $(TOP)/src/os_unix.c \
  $(TOP)/src/os_win.c \
  $(TOP)/src/pager.c \
  $(TOP)/src/pager.h \
  $(TOP)/src/parse.y \
  $(TOP)/src/pragma.c \
  $(TOP)/src/printf.c \
  $(TOP)/src/random.c \
  $(TOP)/src/select.c \
  $(TOP)/src/shell.c \
  $(TOP)/src/sqlite.h.in \
  $(TOP)/src/sqliteInt.h \
  $(TOP)/src/table.c \
  $(TOP)/src/tclsqlite.c \
  $(TOP)/src/tokenize.c \
  $(TOP)/src/trigger.c \
  $(TOP)/src/utf.c \
  $(TOP)/src/update.c \
  $(TOP)/src/util.c \
  $(TOP)/src/vacuum.c \
  $(TOP)/src/vdbe.c \
  $(TOP)/src/vdbe.h \
  $(TOP)/src/vdbeapi.c \
  $(TOP)/src/vdbeaux.c \
  $(TOP)/src/vdbemem.c \
  $(TOP)/src/vdbeInt.h \
  $(TOP)/src/where.c

# Source code to the test files.
#
TESTSRC = \
  $(TOP)/src/btree.c \
  $(TOP)/src/func.c \
  $(TOP)/src/os_mac.c \
  $(TOP)/src/os_unix.c \
  $(TOP)/src/os_win.c \
  $(TOP)/src/pager.c \
  $(TOP)/src/pragma.c \
  $(TOP)/src/printf.c \
  $(TOP)/src/test1.c \
  $(TOP)/src/test2.c \
  $(TOP)/src/test3.c \
  $(TOP)/src/test4.c \
  $(TOP)/src/test5.c \
  $(TOP)/src/utf.c \
  $(TOP)/src/util.c \
  $(TOP)/src/vdbe.c \
  $(TOP)/src/md5.c

# Header files used by all library source files.
#
HDR = \
   sqlite3.h  \
   $(TOP)/src/btree.h \
   config.h \
   $(TOP)/src/hash.h \
   opcodes.h \
   $(TOP)/src/os.h \
   $(TOP)/src/os_common.h \
   $(TOP)/src/os_mac.h \
   $(TOP)/src/os_unix.h \
   $(TOP)/src/os_win.h \
   $(TOP)/src/sqliteInt.h  \
   $(TOP)/src/vdbe.h \
   parse.h

# Header files used by the VDBE submodule
#
VDBEHDR = \
   $(HDR) \
   $(TOP)/src/vdbeInt.h

# This is the default Makefile target.  The objects listed here
# are what get build when you type just "make" with no arguments.
#
all:	sqlite3.h libsqlite3.la sqlite3

Makefile: $(TOP)/Makefile.in
	./config.status

# Generate the file "last_change" which contains the date of change
# of the most recently modified source code file
#
last_change:	$(SRC)
	cat $(SRC) | grep '$$Id: ' | sort +4 | tail -1 \
          | awk '{print $$5,$$6}' >last_change

libsqlite3.la:	$(LIBOBJ)
	$(LTLINK) -o libsqlite3.la $(LIBOBJ) $(LIBPTHREAD) \
		${RELEASE} -rpath $(libdir) -version-info "8:6:8"

libtclsqlite3.la:	tclsqlite.lo libsqlite3.la
	$(LTLINK) -o libtclsqlite3.la tclsqlite.lo \
		libsqlite3.la $(LIBTCL) $(LIBPTHREAD) -rpath $(libdir)/sqlite \
		-version-info "8:6:8"

sqlite3:	$(TOP)/src/shell.c libsqlite3.la sqlite3.h
	$(LTLINK) $(READLINE_FLAGS) $(LIBPTHREAD) \
		-o sqlite3 $(TOP)/src/shell.c libsqlite3.la $(LIBREADLINE)

# This target creates a directory named "tsrc" and fills it with
# copies of all of the C source code and header files needed to
# build on the target system.  Some of the C source code and header
# files are automatically generated.  This target takes care of
# all that automatic generation.
#
target_source:	$(SRC) $(VDBEHDR) 
	rm -rf tsrc
	mkdir -p tsrc
	cp $(SRC) $(VDBEHDR) tsrc
	rm tsrc/sqlite.h.in tsrc/parse.y
	cp parse.c opcodes.c tsrc
	cp $(TOP)/sqlite3.def tsrc

# Rules to build the LEMON compiler generator
#
lemon:	$(TOP)/tool/lemon.c $(TOP)/tool/lempar.c
	$(BCC) -o lemon $(TOP)/tool/lemon.c
	cp $(TOP)/tool/lempar.c .


# Rules to build individual files
#
attach.lo:	$(TOP)/src/attach.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/attach.c

auth.lo:	$(TOP)/src/auth.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/auth.c

btree.lo:	$(TOP)/src/btree.c $(HDR) $(TOP)/src/pager.h
	$(LTCOMPILE) -c $(TOP)/src/btree.c

build.lo:	$(TOP)/src/build.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/build.c

# The config.h file will contain a single #define that tells us how
# many bytes are in a pointer.  This only works if a pointer is the
# same size on the host as it is on the target.  If you are cross-compiling
# to a target with a different pointer size, you'll need to manually
# configure the config.h file.
#
config.h:	
	echo '#include <stdio.h>' >temp.c
	echo 'int main(){printf(' >>temp.c
	echo '"#define SQLITE_PTR_SZ %d",sizeof(char*));' >>temp.c
	echo 'exit(0);}' >>temp.c
	$(BCC) -o temp temp.c
	./temp >config.h
	echo >>config.h
	rm -f temp.c temp

date.lo:	$(TOP)/src/date.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/date.c

delete.lo:	$(TOP)/src/delete.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/delete.c

expr.lo:	$(TOP)/src/expr.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/expr.c

func.lo:	$(TOP)/src/func.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/func.c

hash.lo:	$(TOP)/src/hash.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/hash.c

insert.lo:	$(TOP)/src/insert.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/insert.c

legacy.lo:	$(TOP)/src/legacy.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/legacy.c

main.lo:	$(TOP)/src/main.c $(HDR)
	$(LTCOMPILE) $(TEMP_STORE) -c $(TOP)/src/main.c

pager.lo:	$(TOP)/src/pager.c $(HDR) $(TOP)/src/pager.h
	$(LTCOMPILE) -c $(TOP)/src/pager.c

opcodes.lo:	opcodes.c
	$(LTCOMPILE) -c opcodes.c

opcodes.c:	opcodes.h $(TOP)/mkopcodec.awk
	sort -n +2 opcodes.h | awk -f $(TOP)/mkopcodec.awk >opcodes.c

opcodes.h:	parse.h $(TOP)/src/vdbe.c $(TOP)/mkopcodeh.awk
	cat parse.h $(TOP)/src/vdbe.c | awk -f $(TOP)/mkopcodeh.awk >opcodes.h

os_mac.lo:	$(TOP)/src/os_mac.c $(HDR)
	$(LTCOMPILE) $(THREADSAFE) -c $(TOP)/src/os_mac.c

os_unix.lo:	$(TOP)/src/os_unix.c $(HDR)
	$(LTCOMPILE) $(THREADSAFE) -c $(TOP)/src/os_unix.c

os_win.lo:	$(TOP)/src/os_win.c $(HDR)
	$(LTCOMPILE) $(THREADSAFE) -c $(TOP)/src/os_win.c

parse.lo:	parse.c $(HDR)
	$(LTCOMPILE) -c parse.c

parse.h:	parse.c

parse.c:	$(TOP)/src/parse.y lemon
	cp $(TOP)/src/parse.y .
	./lemon parse.y

pragma.lo:	$(TOP)/src/pragma.c $(HDR)
	$(LTCOMPILE) $(TCL_FLAGS) -c $(TOP)/src/pragma.c

printf.lo:	$(TOP)/src/printf.c $(HDR)
	$(LTCOMPILE) $(TCL_FLAGS) -c $(TOP)/src/printf.c

random.lo:	$(TOP)/src/random.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/random.c

select.lo:	$(TOP)/src/select.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/select.c

sqlite3.h:	$(TOP)/src/sqlite.h.in 
	sed -e s/--VERS--/`cat ${TOP}/VERSION`/ \
                 $(TOP)/src/sqlite.h.in >sqlite3.h

table.lo:	$(TOP)/src/table.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/table.c

tclsqlite.lo:	$(TOP)/src/tclsqlite.c $(HDR)
	$(LTCOMPILE) $(TCL_FLAGS) -c $(TOP)/src/tclsqlite.c

tokenize.lo:	$(TOP)/src/tokenize.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/tokenize.c

trigger.lo:	$(TOP)/src/trigger.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/trigger.c

update.lo:	$(TOP)/src/update.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/update.c

utf.lo:	$(TOP)/src/utf.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/utf.c

util.lo:	$(TOP)/src/util.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/util.c

vacuum.lo:	$(TOP)/src/vacuum.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/vacuum.c

vdbe.lo:	$(TOP)/src/vdbe.c $(VDBEHDR)
	$(LTCOMPILE) -c $(TOP)/src/vdbe.c

vdbeapi.lo:	$(TOP)/src/vdbeapi.c $(VDBEHDR)
	$(LTCOMPILE) -c $(TOP)/src/vdbeapi.c

vdbeaux.lo:	$(TOP)/src/vdbeaux.c $(VDBEHDR)
	$(LTCOMPILE) -c $(TOP)/src/vdbeaux.c

vdbemem.lo:	$(TOP)/src/vdbemem.c $(VDBEHDR)
	$(LTCOMPILE) -c $(TOP)/src/vdbemem.c

where.lo:	$(TOP)/src/where.c $(HDR)
	$(LTCOMPILE) -c $(TOP)/src/where.c

tclsqlite-sh.lo:	$(TOP)/src/tclsqlite.c $(HDR)
	$(LTCOMPILE) $(TCL_FLAGS) -DTCLSH=1 -o $@ -c $(TOP)/src/tclsqlite.c

tclsqlite3:	tclsqlite-sh.lo libsqlite3.la
	$(LTLINK) $(TCL_FLAGS) -o tclsqlite3 tclsqlite-sh.lo \
		 libsqlite3.la $(LIBTCL)

testfixture:	$(TOP)/src/tclsqlite.c libtclsqlite3.la libsqlite3.la $(TESTSRC)
	$(LTLINK) $(TCL_FLAGS) -DTCLSH=1 -DSQLITE_TEST=1\
                $(THREADSAFE) $(TEMP_STORE)\
                -o testfixture $(TESTSRC) $(TOP)/src/tclsqlite.c \
		libtclsqlite3.la libsqlite3.la $(LIBTCL)

crashtest:	$(TOP)/src/tclsqlite.c libsqlite3.la $(TESTSRC) $(TOP)/src/os_test.c
	$(LTLINK) $(TCL_FLAGS) -DOS_TEST=1 -DTCLSH=1 -DSQLITE_TEST=1 \
		-o crashtest \
		$(TESTSRC) $(TOP)/src/os_test.c $(TOP)/src/tclsqlite.c \
		libsqlite3.la $(LIBTCL) $(THREADLIB)



fulltest:	testfixture sqlite3 crashtest
	./testfixture $(TOP)/test/all.test

test:	testfixture sqlite3
	./testfixture $(TOP)/test/quick.test


# Rules used to build documentation
#
arch.html:	$(TOP)/www/arch.tcl
	tclsh $(TOP)/www/arch.tcl >arch.html

arch2.gif:	$(TOP)/www/arch2.gif
	cp $(TOP)/www/arch2.gif .

c_interface.html:	$(TOP)/www/c_interface.tcl
	tclsh $(TOP)/www/c_interface.tcl >c_interface.html

capi3.html:	$(TOP)/www/capi3.tcl
	tclsh $(TOP)/www/capi3.tcl >capi3.html

capi3ref.html:	$(TOP)/www/capi3ref.tcl
	tclsh $(TOP)/www/capi3ref.tcl >capi3ref.html

changes.html:	$(TOP)/www/changes.tcl
	tclsh $(TOP)/www/changes.tcl >changes.html

copyright.html:	$(TOP)/www/copyright.tcl
	tclsh $(TOP)/www/copyright.tcl >copyright.html

copyright-release.html:	$(TOP)/www/copyright-release.html
	cp $(TOP)/www/copyright-release.html .

copyright-release.pdf:	$(TOP)/www/copyright-release.pdf
	cp $(TOP)/www/copyright-release.pdf .

common.tcl:	$(TOP)/www/common.tcl
	cp $(TOP)/www/common.tcl .

## rpm 4.7.2

=== debian/changelog ===
rpm (4.7.2-1lbuild1) lucid; urgency=low

  * No change rebuild for liblzma transition

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Dec 2009 12:16:12 -0500

rpm (4.7.2-1) unstable; urgency=low

  * New upstream version.
    - No need to convert man page from DOS end of lines.
    - Dropped patches:
        510c6763.patch - taken from upstream
        fix-linkage.patch - applied upstream
        fix-luaext.patch - applied upstream
        include-pthread.patch - applied upstream
    - Updated patches:
        manpage-dash.patch - rediffed, no changes
  * Upgrade recommends to depeds from rpm to rpm2cpio (Closes: #559203).
  * Drop run-autogen.patch and run autogen during build.
  * Use << instead of < in debian/control.

 -- Michal Čihař <nijel@debian.org>  Wed, 09 Dec 2009 17:09:58 +0100

rpm (4.7.1-14) unstable; urgency=low

  * Change dependency of -dev package to libdb-dev (Closes: #556608).

 -- Michal Čihař <nijel@debian.org>  Sat, 21 Nov 2009 02:46:08 +0100

rpm (4.7.1-13) unstable; urgency=low

  * Fix various typos in rpm/NEWS.Debian.
  * Improve database upgrade instructions in README.Debian.

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Nov 2009 14:53:37 +0100

rpm (4.7.1-12) unstable; urgency=low

  * Fix build with libdb 4.8 by applying upstream patch 510c6763.
  * Change build depends to libdb-dev to pull libdb 4.8 (Closes: #556608).
  * Built with new liblzma.

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Nov 2009 14:13:09 +0100

rpm (4.7.1-11) unstable; urgency=low

  * Do not build depend on libsepol1-dev on hurd and bsd.
  * Fix FTBFS with binutils-gold (Closes: #556329).
  * Convert to 3.0 (quilt) source format.

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Nov 2009 14:15:54 +0100

rpm (4.7.1-10) unstable; urgency=low

  * Convert French man page from DOS end of lines (LP:#428310).

 -- Michal Čihař <nijel@debian.org>  Fri, 23 Oct 2009 14:35:24 +0200

rpm (4.7.1-9) unstable; urgency=low

  * Bump liblua5.1-0-dev build dependency to 5.1.4-4 to avoid conflicting
    libreadline-dev packages (Closes: #551114).
  * Upload to unstable as it now has xz-utils.

 -- Michal Čihař <nijel@debian.org>  Mon, 19 Oct 2009 09:00:39 +0200

rpm (4.7.1-8) experimental; urgency=low

  * Reupload to experimental with lzma support.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Oct 2009 13:07:59 +0200

rpm (4.7.1-7) unstable; urgency=low

  * Upload to unstable.
  * Disabled lzma support as xz-utils are not yet in unstable.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Oct 2009 12:56:59 +0200

rpm (4.7.1-6) experimental; urgency=low

  * Add Vietnamese debconf translation (Closes: #547915).
  * Explicitly require libdb4.7, 4.8 is not supported (Closes: #549803).
  * Strict dependency on same version of libraries from devel package.

 -- Michal Čihař <nijel@debian.org>  Tue, 06 Oct 2009 11:58:21 +0200

rpm (4.7.1-5) experimental; urgency=low

  * Add Brazilian Portuguese debconf translation (Closes: #544811).
  * Add Japanese debconf translation (Closes: #545315).
  * Add preinst script to remove cruft left after pycentral (Closes: #545720).
  * Build depend on libreadline-dev instead of libreadline5-dev.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Sep 2009 10:47:54 +0200

rpm (4.7.1-4) experimental; urgency=low

  * Add dependency from rpm to rpm-common, because the files were moved from
    rpm to rpm-common and user still might have older librpm, which does not
    pull in rpm-common (Closes: #544753).
  * Make rpm-common conflict/replace older versions of rpm and librpm where
    the files were moved from.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Sep 2009 11:40:55 +0200

rpm (4.7.1-3) experimental; urgency=low

  * Add Finnish debconf translation (Closes: #543121).
  * Add Spanish debconf translation (Closes: #543311).
  * Enable Lua support (Closes: #538207).
  * Add fix-luaext.patch patch to fix linking with Lua.
  * Update symbols file for Lua.

 -- Michal Čihař <nijel@debian.org>  Tue, 01 Sep 2009 11:27:18 +0200

rpm (4.7.1-2) experimental; urgency=low

  * Make rpm2cpio conflict with older rpm to avoid overwriting files 
    (Closes: #542549).
  * Add debian/README.source documenting quilt usage.

 -- Michal Čihař <nijel@debian.org>  Thu, 20 Aug 2009 11:15:23 +0200

rpm (4.7.1-1) experimental; urgency=low

  * New Upstream Version
    - Adjusted manpage-dash.patch.
    - Dropped 09-prereq.diff.
    - Dropped 13-rpm2cpio-help.diff.
    - Dropped 60_fix-out-build.patch.
    - Regenerated 70_autogen.patch.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project (Closes: #539606).
  * Add Japanese debconf translation (Closes: #539598).
  * Add Russian debconf translation (Closes: #539461, #541753).
  * Add Slovak debconf translation (Closes: #537248, #540167).
  * Add Potrugese debconf translation (Closes: #537448, #541110).
  * Add Galician debconf translation (Closes: #537429).
  * Add French debconf translation (Closes: #540195).
  * Add Italian debconf translation (Closes: #540198).
  * Add German debconf translation (Closes: #540717).
  * Add Swedish debconf translation (Closes: #541398).
  * Prepare for lua support (see: #538207), not ready because lposix and
    lrexlib are not available in Debian.
  * Add lintian overrides for debconf usage in postinst.
  * Split out rpm2cpio to separate package (Closes: #540106).
  * Move rpm README.Debian and NEWS just to rpm binary package.
  * Separate part of /usr/lib/rpm to rpm-common as some parts of it are always
    required by librpm.
  * Change directories by configure parameters instead of patching.
  * Build with lzma support (Closes: #509444).
  * Upload to experimental due to liblzma.
  * Cleanup in debian/patches.
    - Consistent naming scheme.
    - Add DEP-3 compliant patch descriptions.
  * Bump policy to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Sun, 16 Aug 2009 10:38:10 +0200

rpm (4.7.0-9) unstable; urgency=low



=== debian/control ===
Source: rpm
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7.0.50),
               libtool,
               autoconf,
               automake,
               autotools-dev,
               zlib1g-dev,
               libbz2-dev,
               dpkg-dev (>= 1.9.0),
               libpopt-dev (>= 1.6.4),
               libbeecrypt-dev,
               libneon27-gnutls-dev,
               libxml2-dev,
               libreadline-dev,
               libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libsepol1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libsqlite3-dev,
               python-support (>= 0.5.3),
               python-all-dev (>= 2.3.5-11),
               bzip2,
               libnspr4-dev,
               libnss3-dev,
               liblzma-dev,
               xz-utils,
               libmagic-dev,
               libelf-dev,
               libdw-dev,
               libdb-dev,
               liblua5.1-0-dev (>= 5.1.4-4),
               po-debconf
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Loic Minier <lool@dooz.org>
XS-Python-Version: all
Standards-Version: 3.8.3
Homepage: http://rpm.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/rpm.git
Vcs-Git: git://git.debian.org/git/collab-maint/rpm.git

Package: rpm
Architecture: any
Suggests: alien, 
        elfutils,
        rpm-i18n
Depends: ${shlibs:Depends},
         ${misc:Depends},
         perl,
         rpm2cpio,
         rpm-common
Replaces: manpages-pl (<< 20051017-1)
Conflicts: manpages-pl (<< 20051017-1), man-db (<< 2.5.0-1)
Description: package manager for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 On Debian and derived systems it is recommended to use "alien" to
 convert RPM packages into .deb format instead of bypassing the Debian
 package management system by installing them directly with rpm.

Package: rpm2cpio
Architecture: any
Suggests: rpm-i18n
Replaces: rpm (<<4.7.1-1)
Conflicts: rpm (<<4.7.1-1)
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool to convert RPM package to CPIO archive
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains tool to convert RPM packages to standard CPIO
 archive.

Package: rpm-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: rpm (<< 4.7.1-1), librpm0 (<< 4.7.1-1)
Replaces: rpm (<< 4.7.1-1), librpm0 (<< 4.7.1-1)
Description: common files for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains some scripts and default configuration which is
 used by RPM libraries.

Package: rpm-i18n
Architecture: all
Section: localization
Suggests: rpm
Conflicts: rpm (<< 4.7.0-2)
Replaces: rpm (<< 4.7.0-2)
Depends: ${misc:Depends}
Description: localization and localized man pages for rpm
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains localization of rpm and localized man pages.

Package: lsb-rpm
Architecture: any
Depends: rpm, ${shlibs:Depends}, ${misc:Depends}
Section: devel
Description: RPM Package Manager for LSB package building
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This is a version of rpm built to create rpm v3 packages as used in the
 Linux Standards Base. You should need this package only if you are
 developing LSB packages; you do not need it to install or use LSB packages
 on Debian.
 .
 The binary is linked statically so it should be possible to use it
 in the restricted lsbdev environment.

Package: librpm-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librpm0 (= ${binary:Version})
Provides: rpm-dbg
Description: debugging symbols for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains debugger symbols for librpm* and rpm.

Package: librpm0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rpm-common
Description: RPM shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library allows programs to make use of an RPM database or RPM packages
 without going through the program rpm.

Package: librpmio0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: RPM IO shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides basic IO functionality which is used by librpm.

Package: librpmbuild0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: RPM build shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides an interface for building RPM packages.

Package: librpm-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: librpm0 (= ${binary:Version}),
         librpmio0 (= ${binary:Version}),
         librpmbuild0 (= ${binary:Version}),
         libc6-dev,
         libpopt-dev (>= 1.6.4),
         libdb-dev,
         libbz2-dev,
         libz-dev,
         libbeecrypt-dev,
         libneon27-gnutls-dev,
         libxml2-dev,
         libreadline-dev,
         libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
         libsqlite3-dev,
         ${misc:Depends}
Replaces: rpm (<< 2.5),
          librpm1-dev (<< 4.0),
          librpm0-dev
Conflicts: librpm1-dev (<< 4.0),
           librpm0-dev
Provides: librpm0-dev
Description: RPM shared library, development kit
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package provides the development kit, containing static 
 libraries and header files necessary to build programs that use 
 librpm.

Package: python-rpm
Architecture: any
Section: python
Priority: extra
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends}
Replaces: python2.3-rpm,
          python2.4-rpm
Conflicts: python2.3-rpm,
           python2.4-rpm
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package includes the Python bindings for librpm, allowing Python
 scripts to manipulate RPM packages and the RPM database.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_OS   := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

PYDEF   := $(shell pyversions -vd)
PYVERS  := $(shell pyversions -vr debian/control)
PYEXTRA := $(filter-out $(PYDEF), $(PYVERS))

ifeq (linux,$(DEB_HOST_ARCH_OS))
       SELINUXLIBS = -lselinux -lsepol
else
       SELINUXLIBS = -lsepol
endif

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --build=$(DEB_BUILD_GNU_TYPE)
else
	configure_flags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

CPPFLAGS=-I./ $(shell pkg-config --cflags lua5.1) $(shell pkg-config --cflags nss)


configure_flags += \
	--prefix=/usr \
	--mandir=/usr/share/man \
	--sysconfdir=/etc \
	--localstatedir=/var \
	--datadir=/usr/share \
	--with-external-db \
	--with-lua \
	--with-debian \
	CPPFLAGS="$(CPPFLAGS)"

dir-%:
	mkdir b-$*

.PHOHY: autoreconf
autoreconf:
	./autogen.sh --noconfigure

configure-lsb: dir-lsb autoreconf
	cd b-lsb && ../configure \
		$(configure_flags) \
		--disable-shared \
		--enable-static \
		--disable-python

configure-default: dir-default autoreconf
	cd b-default && ../configure \
		$(configure_flags) \
		--enable-shared \
		--enable-python

configure-python-%: dir-python-% autoreconf
	cd b-python-$* && ../configure \
		$(configure_flags) \
		--enable-shared \
		--enable-python \
		PYTHON=/usr/bin/python$* \
		__PYTHON=/usr/bin/python$*

override_dh_auto_configure: configure-default configure-lsb $(PYEXTRA:%=configure-python-%)

build-%:
	$(MAKE) -C b-$*

override_dh_auto_build: build-default build-lsb $(PYEXTRA:%=build-python-%)

install-%:
	$(MAKE) -C b-$* DESTDIR=`pwd`/debian/tmp install

install-lsb:
	install b-lsb/rpm debian/tmp/usr/bin/lsb-rpm
	install b-lsb/rpmbuild debian/tmp/usr/bin/lsb-rpmbuild

override_dh_auto_install: install-default install-lsb $(PYEXTRA:%=install-python-%)
	# Kill all the junk this installs.
	rm -f debian/tmp/usr/lib/rpm/config.guess \
		debian/tmp/usr/lib/rpm/config.sub \
		debian/tmp/usr/lib/rpm/config.site \
		debian/tmp/usr/lib/rpm/rpmdiff.cgi \
		debian/tmp/usr/lib/*.la \
		debian/tmp/usr/lib/rpm/rpm.xinetd \
		debian/tmp/usr/lib/rpm/rpm.log
	# Fix permissions
	chmod -x \
		debian/tmp/usr/lib/rpm/macros.php \
		debian/tmp/usr/lib/rpm/macros.perl \
		debian/tmp/usr/lib/rpm/macros.python \
		debian/tmp/usr/lib/python*/*/rpm/*.py
	chmod +x debian/tmp/usr/lib/rpm/rpm.daily

override_dh_strip:
	dh_strip --dbg-package=librpm-dbg

build:
	dh $@

clean:
	dh $@
	debconf-updatepo
	rm -rf b-*

binary-indep: build
	dh $@

binary-arch: build
	dh $@

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary build-% dir-% install-%

=== debian/watch ===
version=3
http://rpm.org/releases/rpm-4.7.x/rpm-([\d\.]+).tar.bz2
